%global modname smartcols
%global libsmartcols_version 2.23.2
%global libsmartcols_rev 55

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           python-%{modname}
Version:        0.3.0
Release:        2%{?dist}
Summary:        Python bindings for util-linux libsmartcols-library

License:        GPLv3+
URL:            https://github.com/ignatenkobrain/python-smartcols
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# git clone https://github.com/karelzak/util-linux.git
# cd util-linux
# git archive --format=tar.gz --prefix=util-linux/ -o libsmartcols-tests-%%{libsmartcols_version}.tar.gz v%%{libsmartcols_version} tests/ts/libsmartcols/ tests/expected/libsmartcols/
Source1:        libsmartcols-tests-%{libsmartcols_version}.tar.gz
Patch0:         0001-pregenerated-c-source.patch
Patch1:         0002-remove-cython.patch

BuildRequires:  gcc
BuildRequires:  libsmartcols-devel >= %{libsmartcols_version}-%{libsmartcols_rev}

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%if %{with python3}
%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
BuildRequires:  python3-sphinx

%description doc
%{summary}.
%endif

%prep
%autosetup -a1

%build
%py2_build
%if %{with python3}
%py3_build
ln -s build/lib.*-%{python3_version}/smartcols.*.so .
%{__python3} setup.py build_sphinx
rm -f doc/_build/html/.buildinfo
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif

%check
#%{__python2} setup.py ptr
%if %{with python3}
%{__python3} setup.py ptr
%endif

%files -n python2-%{modname}
%license COPYING
%doc README.md
%{python2_sitearch}/%{modname}-*.egg-info/
%{python2_sitearch}/%{modname}.so

%if %{with python3}
%files -n python3-%{modname}
%license COPYING
%doc README.md
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}.*.so

%files doc
%doc examples doc/_build/html
%endif

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 16 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Rebuild for Python 3.6

* Fri Nov 18 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Tue Aug 23 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-2
- Skip continuous test as it stuck without PTY

* Tue Aug 23 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-1
- Initial package
